FloatSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.serializers

## Class FloatSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.FloatSerializer

- All Implemented Interfaces:
    TypeSerializer<java.lang.Float>

      public class FloatSerializer
      extends java.lang.Object
      implements TypeSerializer<java.lang.Float>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FloatSerializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Float` | `deserialize(java.nio.ByteBuffer bytes)`
    `java.lang.Class<java.lang.Float>` | `getType()`
    `java.nio.ByteBuffer` | `serialize(java.lang.Float value)`
    `java.lang.String` | `toString(java.lang.Float value)`
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final FloatSerializer instance

  - ### Constructor Detail

    - #### FloatSerializer

          public FloatSerializer()

  - ### Method Detail

    - #### deserialize

          public java.lang.Float deserialize(java.nio.ByteBuffer bytes)

      Specified by:
        `deserialize` in interface `TypeSerializer<java.lang.Float>`

    - #### serialize

          public java.nio.ByteBuffer serialize(java.lang.Float value)

      Specified by:
        `serialize` in interface `TypeSerializer<java.lang.Float>`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<java.lang.Float>`
      Throws:
        `MarshalException`

    - #### toString

          public java.lang.String toString(java.lang.Float value)

      Specified by:
        `toString` in interface `TypeSerializer<java.lang.Float>`

    - #### getType

          public java.lang.Class<java.lang.Float> getType()

      Specified by:
        `getType` in interface `TypeSerializer<java.lang.Float>`

Copyright © 2018 The Apache Software Foundation